Error al desinstalar el complemento eclipse

Cuando intento desinstalar mi complemento eclipse, se produce el siguiente error:

An error occurred while uninstalling 
enter code heresession context was:(profile=profile, phase=org.eclipse.equinox.internal.provisional.p2.engine.phases.Uninstall, operand=[R]de.test.package.one 0.1.0.201008170949 --> null, action=org.eclipse.equinox.internal.p2.touchpoint.eclipse.actions.UninstallBundleAction).
 Error while loading manipulator.
Caused by: Application failed,

La mayoría de los temas se refieren al archivo eclipse.ini, que modifiqué pero que no resolvió el problema. El eclipse.ini se ve así:

-startup
plugins/org.eclipse.equinox.launcher_1.0.201.R35x_v20090715.jar
--launcher.library
plugins/org.eclipse.equinox.launcher.gtk.linux.x86_1.0.200.v20090520

¿Alguna idea de cómo puedo resolver este problema?

preguntado el 09 de enero de 11 a las 11:01

intentaste con un modificado eclipse.ini me gusta: stackoverflow.com/questions/142357/… ? -

gracias por ese consejo pero sí, ya intenté modificar las cosas descritas en ese hilo. Pero finalmente resolví el problema. Estoy instalando / desinstalando el complemento en un eclipse rcp, que tiene su propio archivo .ini. El problema era que al iniciar se creaba un archivo eclipse.ini. Después de eliminar este archivo, puedo instalar / desinstalar el complemento. El siguiente problema es que en cada actualización de un complemento se crea un nuevo archivo eclipse.ini y debe eliminarse. ¿Es posible evitar esto? -

1 Respuestas

Me gustaría que supiera que resolví el problema: "Se produjo un error al desinstalar". por:

1.) cambie el nombre del archivo eclipse.ini a un nombre que no sea ini (eclipse.xxx) 2.) inicie eclipse 3.) instale el software / complemento 4.) restaure el archivo ini.

Me pregunto por qué Eclipse puede comenzar en primer lugar, pero funciona. El cambio de nombre del ejecutable NO funcionó para mí.

Respondido 10 Abr '15, 11:04

Esto no me funciona en absoluto. El resultado es que "El lanzador ejecutable de Eclipse no pudo localizar su biblioteca compartida complementaria". - aaiezza

No es la respuesta que estás buscando? Examinar otras preguntas etiquetadas or haz tu propia pregunta.